commit cca5ecf0f79fa595c0ef16403966807cb1c64060
Author: Martin Toutant <martin.toutant@inrae.fr>
Date:   Wed Aug 3 09:30:46 2022 +0200

    update gitignore

diff --git a/.vs/TestTeoBluetooth/v16/.suo b/.vs/TestTeoBluetooth/v16/.suo
index 282b9fe..182ed51 100644
Binary files a/.vs/TestTeoBluetooth/v16/.suo and b/.vs/TestTeoBluetooth/v16/.suo differ
diff --git a/TestTeoBluetooth/TestTeoBluetooth/Views/AccueilView.xaml b/TestTeoBluetooth/TestTeoBluetooth/Views/AccueilView.xaml
index ec177be..1047265 100644
--- a/TestTeoBluetooth/TestTeoBluetooth/Views/AccueilView.xaml
+++ b/TestTeoBluetooth/TestTeoBluetooth/Views/AccueilView.xaml
@@ -4,7 +4,7 @@
     xmlns="http://xamarin.com/schemas/2014/forms"
     xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
     xmlns:xe="clr-namespace:XamEffects;assembly=XamEffects"
-    Title="Welcome to Bluetooth Test app">
+    Title="Teo Test Bluetooth - Bienvenue">
     <ContentPage.Content>
         <StackLayout BackgroundColor="#001729" VerticalOptions="FillAndExpand">
             <StackLayout VerticalOptions="CenterAndExpand">
@@ -24,7 +24,7 @@
                             FontSize="18"
                             HorizontalOptions="CenterAndExpand"
                             HorizontalTextAlignment="Center"
-                            Text="Bluetooth Test!!!!!!!!"
+                            Text="Teo Test Bluetooth"
                             TextColor="White"
                             VerticalOptions="CenterAndExpand" />
                         <BoxView
@@ -44,7 +44,7 @@
                                         FontSize="16"
                                         HorizontalOptions="Center"
                                         HorizontalTextAlignment="Center"
-                                        Text="Show Bonded Devices"
+                                        Text="Afficher les appareils appairés"
                                         TextColor="#34a9ff" />
                                 </StackLayout>
                             </xe:BorderView>
diff --git a/TestTeoBluetooth/TestTeoBluetooth/obj/Debug/netstandard2.0/App.xaml.g.cs b/TestTeoBluetooth/TestTeoBluetooth/obj/Debug/netstandard2.0/App.xaml.g.cs
index 4a1cdf2..d9846ad 100644
--- a/TestTeoBluetooth/TestTeoBluetooth/obj/Debug/netstandard2.0/App.xaml.g.cs
+++ b/TestTeoBluetooth/TestTeoBluetooth/obj/Debug/netstandard2.0/App.xaml.g.cs
@@ -8,7 +8,7 @@
 // </auto-generated>
 //------------------------------------------------------------------------------
 
-[assembly: global::Xamarin.Forms.Xaml.XamlResourceIdAttribute("TestBLE.App.xaml", "App.xaml", typeof(global::TestBLE.App))]
+[assembly: global::Xamarin.Forms.Xaml.XamlResourceIdAttribute("TestTeoBluetooth.App.xaml", "App.xaml", typeof(global::TestBLE.App))]
 
 namespace TestBLE {
     
diff --git a/TestTeoBluetooth/TestTeoBluetooth/obj/Debug/netstandard2.0/MainPage.xaml.g.cs b/TestTeoBluetooth/TestTeoBluetooth/obj/Debug/netstandard2.0/MainPage.xaml.g.cs
index fb8cb00..d87e12a 100644
--- a/TestTeoBluetooth/TestTeoBluetooth/obj/Debug/netstandard2.0/MainPage.xaml.g.cs
+++ b/TestTeoBluetooth/TestTeoBluetooth/obj/Debug/netstandard2.0/MainPage.xaml.g.cs
@@ -8,7 +8,7 @@
 // </auto-generated>
 //------------------------------------------------------------------------------
 
-[assembly: global::Xamarin.Forms.Xaml.XamlResourceIdAttribute("TestBLE.MainPage.xaml", "MainPage.xaml", typeof(global::TestBLE.MainPage))]
+[assembly: global::Xamarin.Forms.Xaml.XamlResourceIdAttribute("TestTeoBluetooth.MainPage.xaml", "MainPage.xaml", typeof(global::TestBLE.MainPage))]
 
 namespace TestBLE {
     
diff --git a/TestTeoBluetooth/TestTeoBluetooth/obj/Debug/netstandard2.0/Views/AccueilView.xaml.g.cs b/TestTeoBluetooth/TestTeoBluetooth/obj/Debug/netstandard2.0/Views/AccueilView.xaml.g.cs
index 74dbdda..66760f4 100644
--- a/TestTeoBluetooth/TestTeoBluetooth/obj/Debug/netstandard2.0/Views/AccueilView.xaml.g.cs
+++ b/TestTeoBluetooth/TestTeoBluetooth/obj/Debug/netstandard2.0/Views/AccueilView.xaml.g.cs
@@ -8,7 +8,7 @@
 // </auto-generated>
 //------------------------------------------------------------------------------
 
-[assembly: global::Xamarin.Forms.Xaml.XamlResourceIdAttribute("TestBLE.Views.AccueilView.xaml", "Views/AccueilView.xaml", typeof(global::TestBLE.Views.AccueilView))]
+[assembly: global::Xamarin.Forms.Xaml.XamlResourceIdAttribute("TestTeoBluetooth.Views.AccueilView.xaml", "Views/AccueilView.xaml", typeof(global::TestBLE.Views.AccueilView))]
 
 namespace TestBLE.Views {
     
diff --git a/TestTeoBluetooth/TestTeoBluetooth/obj/Debug/netstandard2.0/Views/DeviceView.xaml.g.cs b/TestTeoBluetooth/TestTeoBluetooth/obj/Debug/netstandard2.0/Views/DeviceView.xaml.g.cs
index a605dcd..4f07e1f 100644
--- a/TestTeoBluetooth/TestTeoBluetooth/obj/Debug/netstandard2.0/Views/DeviceView.xaml.g.cs
+++ b/TestTeoBluetooth/TestTeoBluetooth/obj/Debug/netstandard2.0/Views/DeviceView.xaml.g.cs
@@ -8,7 +8,7 @@
 // </auto-generated>
 //------------------------------------------------------------------------------
 
-[assembly: global::Xamarin.Forms.Xaml.XamlResourceIdAttribute("TestBLE.Views.DeviceView.xaml", "Views/DeviceView.xaml", typeof(global::TestBLE.Views.DeviceView))]
+[assembly: global::Xamarin.Forms.Xaml.XamlResourceIdAttribute("TestTeoBluetooth.Views.DeviceView.xaml", "Views/DeviceView.xaml", typeof(global::TestBLE.Views.DeviceView))]
 
 namespace TestBLE.Views {
     