commit 6f503a5a6fda4be0099251958b5cca8d29db561f
Author: mtoutant <martin.toutant@inrae.fr>
Date:   Mon Oct 3 17:45:26 2022 +0200

    Add Honeywell intent constants

diff --git a/TestXamConnections/TestXamConnections/Device/Barcode/Honeywell/HoneyWellConstants.cs b/TestXamConnections/TestXamConnections/Device/Barcode/Honeywell/HoneyWellConstants.cs
index 8353700..8c82bda 100644
--- a/TestXamConnections/TestXamConnections/Device/Barcode/Honeywell/HoneyWellConstants.cs
+++ b/TestXamConnections/TestXamConnections/Device/Barcode/Honeywell/HoneyWellConstants.cs
@@ -1,10 +1,14 @@
-﻿using System;
-using System.Collections.Generic;
-using System.Text;
-
-namespace TestXamConnections.Device.Barcode.Honeywell
+﻿namespace TestXamConnections.Device.Barcode.Honeywell
 {
+    /// <summary>
+    /// Constantes utilisées pour la communication avec le module Barcode Honeywell interne au C-One².
+    /// </summary>
     public static class HoneyWellConstants
     {
+        public const string ACTION_SCAN = "fr.coppernic.intent.action.SCAN";
+        public const string ACTION_STOP_SCAN = "fr.coppernic.intent.action.STOP";
+        public const string ACTION_SCAN_SUCCESS = "fr.coppernic.intent.scansuccess";
+        public const string ACTION_SCAN_ERROR = "fr.coppernic.intent.scanfailed";
+        public const string HONEYWELL_BARCODE = "fr.coppernic.features.barcode.conen";
     }
 }
diff --git a/TestXamConnections/TestXamConnections/Device/Barcode/Honeywell/HoneywellBTReader.cs b/TestXamConnections/TestXamConnections/Device/Barcode/Honeywell/HoneywellBTReader.cs
index d8e1197..9b609c4 100644
--- a/TestXamConnections/TestXamConnections/Device/Barcode/Honeywell/HoneywellBTReader.cs
+++ b/TestXamConnections/TestXamConnections/Device/Barcode/Honeywell/HoneywellBTReader.cs
@@ -13,7 +13,7 @@ namespace TestXamConnections.Device.Barcode.Honeywell
         /// <summary>
         /// Événement déclenché à la reception de données par le lecteur de code barre Honeywell.
         /// </summary>
-        public EventHandler<byte[]> BarcodeDataReceivedEvent { get; set; }
+        public EventHandler<string> BarcodeDataReceivedEvent { get; set; }
 
         public HoneywellBTReader(DeviceInfo device)
         {
diff --git a/TestXamConnections/TestXamConnections/Device/Barcode/Honeywell/HoneywellInternReader.cs b/TestXamConnections/TestXamConnections/Device/Barcode/Honeywell/HoneywellInternReader.cs
index 9e93454..423e99d 100644
--- a/TestXamConnections/TestXamConnections/Device/Barcode/Honeywell/HoneywellInternReader.cs
+++ b/TestXamConnections/TestXamConnections/Device/Barcode/Honeywell/HoneywellInternReader.cs
@@ -1,21 +1,26 @@
 ﻿using System;
 using System.Threading.Tasks;
 using TestXamConnections.Connection;
+using Xamarin.Forms;
 
 namespace TestXamConnections.Device.Barcode.Honeywell
 {
     public class HoneywellInternReader : IBarcodeReader
     {
-        // TODO
+        public DeviceInfo DeviceI { get; set; }
+        public IConnectionService ConnectionService = DependencyService.Get<IConnectionServiceProvider>().GetConnectionServiceInstance(ConnectionType.Intern);
+
+        /// <summary>
+        /// Événement déclenché à la reception de données par le lecteur Honeywell .
+        /// </summary>
+        public EventHandler<string> BarcodeDataReceivedEvent { get; set; }
+
         public HoneywellInternReader(DeviceInfo deviceI)
         {
-
+            DeviceI = deviceI;
+            
         }
 
-        public EventHandler<byte[]> BarcodeDataReceivedEvent { get => throw new NotImplementedException(); set => throw new NotImplementedException(); }
-        public DeviceInfo DeviceI { get => throw new NotImplementedException(); set => throw new NotImplementedException(); }
-        public IConnectionService ConnectionService { get => throw new NotImplementedException(); set => throw new NotImplementedException(); }
-
         public Task<bool> ConnectToBTReaderAsync()
         {
             throw new NotImplementedException();
diff --git a/TestXamConnections/TestXamConnections/Device/Barcode/IBarcodeReader.cs b/TestXamConnections/TestXamConnections/Device/Barcode/IBarcodeReader.cs
index abbbb48..ce3d25a 100644
--- a/TestXamConnections/TestXamConnections/Device/Barcode/IBarcodeReader.cs
+++ b/TestXamConnections/TestXamConnections/Device/Barcode/IBarcodeReader.cs
@@ -8,7 +8,7 @@ namespace TestXamConnections.Device.Barcode
         /// <summary>
         /// Événement déclenché à la reception de données par le lecteur de code barre.
         /// </summary>
-        public EventHandler<byte[]> BarcodeDataReceivedEvent { get; set; }
+        public EventHandler<string> BarcodeDataReceivedEvent { get; set; }
 
         Task<bool> ConnectToBTReaderAsync();
     }
diff --git a/TestXamConnections/TestXamConnections/Device/RFID/Agrident/AgridentConstants.cs b/TestXamConnections/TestXamConnections/Device/RFID/Agrident/AgridentConstants.cs
index ba2c88d..9df4a06 100644
--- a/TestXamConnections/TestXamConnections/Device/RFID/Agrident/AgridentConstants.cs
+++ b/TestXamConnections/TestXamConnections/Device/RFID/Agrident/AgridentConstants.cs
@@ -1,7 +1,7 @@
 ﻿namespace TestXamConnections.Device.RFID.Agrident
 {
     /// <summary>
-    /// Constantes utilisées pour la communication avec le module Agrident Wedge.
+    /// Constantes utilisées pour la communication avec le module Agrident Wedge interne au C-One².
     /// </summary>
     public static class AgridentConstants
     {
@@ -10,7 +10,6 @@
         public const string ACTION_AGRIDENT_SERVICE_STOP = "fr.coppernic.intent.action.stop.agrident.service";
         public const string ACTION_AGRIDENT_SERVICE_START = "fr.coppernic.intent.action.start.agrident.service";
         public const string ACTION_AGRIDENT_READ = "fr.coppernic.tools.agrident.wedge.READ";
-        public const string KEY_BARCODE_DATA = "BarcodeData";
         public const string AGRIDENT_WEDGE = "fr.coppernic.tools.cpcagridentwedge";
     }
 }
diff --git a/TestXamConnections/TestXamConnections/ViewModels/TeoDeviceViewModel.cs b/TestXamConnections/TestXamConnections/ViewModels/TeoDeviceViewModel.cs
index 9bd91f9..c7c123f 100644
--- a/TestXamConnections/TestXamConnections/ViewModels/TeoDeviceViewModel.cs
+++ b/TestXamConnections/TestXamConnections/ViewModels/TeoDeviceViewModel.cs
@@ -91,6 +91,7 @@ namespace TestXamConnections.ViewModels
         {
             // Appel au Balance provider pour récupérer l'item TeoBalancea avec les fonctions d'initiation
             TeoScale = BalanceProvider.GetBalance(Balance.TeoBalance, ConnectionType.Bluetooth, device);
+            TeoScale.SendCommandAsync(TeoConstants.TeoCommandType.EmissionPoids)
             Init();
         }
 